libhackrf HackRF SDR platform library

Data Fields
hackrf_device_list_t Struct Reference
Device listing, opening, closing and querying

List of connected HackRF devices. More...

`#include <hackrf.h>`

## Data Fields
char ** | serial_numbers
| Array of human-readable serial numbers. More...
enum hackrf_usb_board_id * | usb_board_ids
| ID of each board, based on USB product ID. More...
int * | usb_device_index
| USB device index for a given HW entry. More...
int | devicecount
| Number of connected HackRF devices, the length of arrays serial_numbers, usb_board_ids and usb_device_index. More...
void ** | usb_devices
| All USB devices (as `libusb_device**` array) More...
int | usb_devicecount
| Number of all queried USB devices. More...

## Detailed Description

Acquired via hackrf_device_list and should be freeed via hackrf_device_list_free. Individual devices can be opened via hackrf_device_list_open

## Field Documentation

## ◆ devicecount

int hackrf_device_list_t::devicecount

## ◆ serial_numbers

char** hackrf_device_list_t::serial_numbers

Each entry can be NULL!

## ◆ usb_board_ids

enum hackrf_usb_board_id* hackrf_device_list_t::usb_board_ids

Can be used for general HW identification without opening the device.

## ◆ usb_device_index

int* hackrf_device_list_t::usb_device_index

Intended for internal use only.

## ◆ usb_devicecount

int hackrf_device_list_t::usb_devicecount

Length of array usb_devices.

## ◆ usb_devices

void** hackrf_device_list_t::usb_devices

The documentation for this struct was generated from the following file:

- /tmp/host/libhackrf/src/hackrf.h